POLYRUN(1)

NAME
polyrun, polyfind - Find polygen grammars and run polygen

SYNOPSIS
polyrun [options] grammar
polyfind grammar

DESCRIPTION
polyrun runs polygen expanding the given grammar name into its full path, so that polygen can find it.

Grammars (which can be specified with partial paths, such as debian/flame) are searched in the current directory first, then in a subdirectory of /usr/share/polygen according to the current locale settings, then recursively under /usr/share/polygen and all its subdirectories. Grammars can be specified with or without the .grm extension.

polyfind just looks for the full pathname of the given grammar and prints it on standard output.

OPTIONS
polyrun is a wrapper to polygen, and the options are passed to polygen as-is.

polyfind only takes the grammar name as argument.

SEE ALSO
polygen(1), polygen-data(6)

AUTHOR
polyrun/polyfind and this manpage are written and maintained by enrico@enricozini.org.